> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List activity definitions

> Retrieve all available activity definitions:

Returns activity definitions for your organization, including both organization-specific and common (shared) definitions. Each contains UI code, calculation code, input schema, and metadata.

Activity definitions are templates that define structure and calculation logic for different types of environmental activities.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.json get /activity-definitions
openapi: 3.0.3
info:
  title: Erguvan Public API
  version: 1.0.0
servers:
  - url: https://app.azalt.co/api/v1
security: []
paths:
  /activity-definitions:
    get:
      tags:
        - ActivityDefinition
      summary: List activity definitions
      description: >-
        Retrieve all available activity definitions:


        Returns activity definitions for your organization, including both
        organization-specific and common (shared) definitions. Each contains UI
        code, calculation code, input schema, and metadata.


        Activity definitions are templates that define structure and calculation
        logic for different types of environmental activities.
      operationId: listActivityDefinitions
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    uiCode:
                      type: string
                    calcCode:
                      type: string
                    inputs:
                      type: array
                      items:
                        oneOf:
                          - type: object
                            properties:
                              name:
                                type: string
                              exportName:
                                type: string
                              type:
                                type: string
                                enum:
                                  - string
                              required:
                                type: boolean
                              example:
                                type: string
                              editor:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - select
                                      options:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            label:
                                              type: string
                                            value:
                                              type: string
                                          required:
                                            - label
                                            - value
                                    required:
                                      - type
                                      - options
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - datasetItemSelector
                                      datasetName:
                                        type: string
                                      groupByName:
                                        type: boolean
                                      prefetchItems:
                                        type: boolean
                                      minSearchLength:
                                        type: integer
                                        minimum: 0
                                    required:
                                      - type
                                      - datasetName
                            required:
                              - name
                              - type
                              - required
                          - type: object
                            properties:
                              name:
                                type: string
                              exportName:
                                type: string
                              type:
                                type: string
                                enum:
                                  - number
                              required:
                                type: boolean
                              example:
                                type: number
                            required:
                              - name
                              - type
                              - required
                          - type: object
                            properties:
                              name:
                                type: string
                              exportName:
                                type: string
                              type:
                                type: string
                                enum:
                                  - array
                              required:
                                type: boolean
                              item:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - string
                                      example:
                                        type: string
                                    required:
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - number
                                      example:
                                        type: number
                                    required:
                                      - type
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - object
                                      fields:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            name:
                                              type: string
                                            exportName:
                                              type: string
                                            type:
                                              type: string
                                              enum:
                                                - string
                                                - number
                                            required:
                                              type: boolean
                                            example:
                                              anyOf:
                                                - type: string
                                                - type: number
                                          required:
                                            - name
                                            - type
                                        minItems: 1
                                    required:
                                      - type
                                      - fields
                              minItems:
                                type: integer
                                minimum: 0
                              maxItems:
                                type: integer
                                minimum: 1
                              example: {}
                            required:
                              - name
                              - type
                              - required
                              - item
                    organizationId:
                      type: string
                      nullable: true
                    metadataSchema:
                      type: object
                      additionalProperties: {}
                      default: {}
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - id
                    - name
                    - description
                    - uiCode
                    - calcCode
                    - inputs
                    - organizationId
                    - metadataSchema
                    - createdAt
                    - updatedAt
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````